## python-ruffus 2.8.1

=== ruffus/test/Makefile ===
# run all tests in paralell
#
# use the variable PYTEST_OPTIONS to configure pytest, for example:
#
#    make all PYTEST_OPTIONS="-v --lf"
#
SHELL=/bin/bash

PYTEST_OPTIONS?=-v

PYTEST=$(wildcard test_*.py)
NOTEST=$(wildcard check_*.py)

PYTEST_RUN=$(PYTEST:%.py=%.pytest)
NOTEST_RUN=$(NOTEST:%.py=%.run)

all: $(PYTEST_RUN) $(NOTEST_RUN)

%.pytest: %.py
	pytest $(PYTEST_OPTIONS) $<

%.run: %.py
	python $<

## python-ruffus 2.6.3+dfsg

=== debian/changelog ===
python-ruffus (2.6.3+dfsg-2) unstable; urgency=medium

  * Fix issue in test when using Python 3.5 (Thanks for the hints to
    Dmitry Shachnev <mitya57@debian.org>)
    Closes: #811002
  * Use Debian packaged mathjax (Thanks to Dmitry Shachnev <mitya57@debian.org>
    for the hint)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2016 15:15:35 +0100

python-ruffus (2.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2015 22:06:11 +0200

python-ruffus (2.6.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #780682)

 -- Andreas Tille <tille@debian.org>  Sun, 01 Feb 2015 15:29:20 +0100

=== debian/control ===
Source: python-ruffus
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-sphinx
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-ruffus.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-ruffus.git
Homepage: http://www.ruffus.org.uk/

Package: python-ruffus
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Suggests: python-drmaa
Description: Python computation pipeline library widely used in bioinformatics
 Ruffus is designed to allow scientific and other analyses to be automated
 with the minimum of fuss and the least effort.
 .
  * Lightweight: Suitable for the simplest of tasks
  * Scalable: Handles even fiendishly complicated pipelines which would cause
    make or scons to go cross-eyed and recursive.
  * Standard Python: No "clever magic", no pre-processing.
  * Unintrusive: Unambitious, lightweight syntax which tries to do this one
    small thing well.

Package: python3-ruffus
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Python3 computation pipeline library widely used in bioinformatics
 Ruffus is designed to allow scientific and other analyses to be automated
 with the minimum of fuss and the least effort.
 .
  * Lightweight: Suitable for the simplest of tasks
  * Scalable: Handles even fiendishly complicated pipelines which would cause
    make or scons to go cross-eyed and recursive.
  * Standard Python: No "clever magic", no pre-processing.
  * Unintrusive: Unambitious, lightweight syntax which tries to do this one
    small thing well.
 .
 This package provides python3 modules.

Package: python-ruffus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Description: documentation for python-ruffus computation pipeline library
 Ruffus is designed to allow scientific and other analyses to be automated
 with the minimum of fuss and the least effort.
 .
  * Lightweight: Suitable for the simplest of tasks
  * Scalable: Handles even fiendishly complicated pipelines which would cause
    make or scons to go cross-eyed and recursive.
  * Standard Python: No "clever magic", no pre-processing.
  * Unintrusive: Unambitious, lightweight syntax which tries to do this one
    small thing well.
 .
 This package provides modules documentation.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

DEBPKGNAME:=$(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
docpkg:=$(DEBPKGNAME)-doc

export PYBUILD_NAME=ruffus

pyrun = DEB_BUILD_OPTIONS= pybuild -s custom -p $(shell pyversions -dv) --test --test-args

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	$(pyrun) 'make --directory=doc html'
	## latexpdf # <--- several LaTeX errors occure - just take the PDF provided by upstream

override_dh_installdocs:
	dh_installdocs -ppython-ruffus-doc doc/_build/html
	dh_installdocs -A

override_dh_auto_test:
	# cd ruffus/test && . $(CURDIR)/debian/tests/run-unit-test
	cd ruffus/test && \
	sh ./run_all_unit_tests.cmd && \
	sh ./run_all_unit_tests3.cmd && \
	rm -rf .ruffus_history.sqlite __pycache__ *.pyc

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ruffus/test/temp_branching_dir \
	       ruffus/test/temp_filesre_combine \
	       ruffus/test/test_pausing_dir \
	       ruffus/test/tmp_test_job_history_with_exceptions \
	       ruffus/test/.ruffus_history.sqlite \
	       ruffus/__pycache__ \
	       doc/_build/html \
	       doc/_build/doctrees \
	       ruffus/test/*.log \
	       .ruffus_history.sqlite

get-orig-source:
	uscan --verbose --force-download --repack --compression xz

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
    https://pypi.python.org/pypi/ruffus .*/r/ruffus/ruffus-([.\d]+)\.tar\.gz

## python-ruffus 2.7

=== debian/changelog ===
python-ruffus (2.7-1) unstable; urgency=medium

  * New upstream version
    Closes: #903531
  * Standards-Version: 4.1.5
  * Build-Depends: python3-sphinx-rtd-theme
  * d/rules: strip unneeded overrides
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test
  * Fix interpreter line in test suite
  * Avoid privacy breach

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2018 16:04:52 +0200

python-ruffus (2.6.3+dfsg-5) unstable; urgency=medium

  * Testsuite: autopkgtest-pkg-python
  * Rename d/tests/control to d/tests/control.autodep8
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org
  * debhelper 11
  * d/rules:
     - Remove get-orig-source target
     - Do not parse d/changelog
  * Build-Depends: s/python-sphinx/python3-sphinx/

 -- Andreas Tille <tille@debian.org>  Mon, 16 Apr 2018 14:37:27 +0200

python-ruffus (2.6.3+dfsg-4) unstable; urgency=medium

  * Point watch file to Github which is more reliable.
  * Drop sphinx.ext.pngmath
    Closes: #832299
  * Create PNG instead of JPG to work around bug #827806
    (Thanks to Christian Seiler for the hint)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jul 2016 08:20:28 +0200

python-ruffus (2.6.3+dfsg-3) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Team upload.
  * Add missing dependency on Graphviz (fixes FTFBS on reproducible
    builds pipeline due to failing build time tests)
    Closes: #826841

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 09 Jun 2016 09:40:53 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: python-ruffus
-Section: python
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9),
+Section: python
+Testsuite: autopkgtest-pkg-python
+Priority: optional
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools,
-               python-sphinx
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-ruffus.git
-Vcs-Git: git://anonscm.debian.org/debian-med/python-ruffus.git
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+               graphviz
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/med-team/python-ruffus
+Vcs-Git: https://salsa.debian.org/med-team/python-ruffus.git
 Homepage: http://www.ruffus.org.uk/
 
 Package: python-ruffus
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
+         graphviz
 Suggests: python-drmaa
 Description: Python computation pipeline library widely used in bioinformatics
  Ruffus is designed to allow scientific and other analyses to be automated
@@ -36,7 +40,8 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         graphviz
 Description: Python3 computation pipeline library widely used in bioinformatics
  Ruffus is designed to allow scientific and other analyses to be automated
  with the minimum of fuss and the least effort.
@@ -68,4 +73,3 @@
     small thing well.
  .
  This package provides modules documentation.
-

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

docpkg:=$(DEB_SOURCE)-doc

export PYBUILD_NAME=ruffus

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make --directory=doc html

override_dh_installdocs:
	dh_installdocs -ppython-ruffus-doc doc/_build/html
	dh_installdocs -A

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd ruffus/test && \
	sh ./run_all_unit_tests.cmd && \
	sh ./run_all_unit_tests3.cmd && \
	rm -rf .ruffus_history.sqlite __pycache__ *.pyc
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ruffus/test/temp_branching_dir \
	       ruffus/test/temp_filesre_combine \
	       ruffus/test/test_pausing_dir \
	       ruffus/test/tmp_test_job_history_with_exceptions \
	       ruffus/test/.ruffus_history.sqlite \
	       ruffus/__pycache__ \
	       doc/_build/html \
	       doc/_build/doctrees \
	       ruffus/test/*.log \
	       .ruffus_history.sqlite

override_dh_install:
	dh_install
	# test files have all #!/usr/bin/python which looks wrong in python3 package
	find debian/python3-$(PYBUILD_NAME)/usr/lib/python3*/dist-packages/ruffus/test -name "*.py" -exec sed -i 's+^\(#!/usr/bin/.*python\)[[:space:]]*$$+\13+' \{\} \;
	# leave only the test starter that fits Python version
	find debian/python3-$(PYBUILD_NAME) -name run_all_unit_tests.cmd -delete
	find debian/python-$(PYBUILD_NAME) -name run_all_unit_tests3.cmd -delete

override_dh_fixperms:
	dh_fixperms
	find debian -name "run_all_unit_tests*.cmd" -executable -exec chmod -x \{\} \;

## python-ruffus 2.8.1

=== debian/changelog ===
python-ruffus (2.8.1-6) unstable; urgency=medium

  * Test-Depend: s/python-pytest/python3-pytest/
    Closes: #938152
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jan 2020 09:21:39 +0100

python-ruffus (2.8.1-5) unstable; urgency=medium

  * Remove Python2 module
    Closes: #938152
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * rename debian/tests/control.autodep8 to debian/tests/control
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Dec 2019 20:04:05 +0100

python-ruffus (2.8.1-4) unstable; urgency=medium

  * Enable reproducible build by removing non-deterministic temporary temp
    output (Thanks for the patch to Chris Lamb <lamby@debian.org>)
    Closes: #916425

 -- Andreas Tille <tille@debian.org>  Fri, 14 Dec 2018 11:33:24 +0100

python-ruffus (2.8.1-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * And add python-pytest to debian/tests/control.autodep8 too, to fix
    testsuite

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Dec 2018 22:15:33 +0100

python-ruffus (2.8.1-2) unstable; urgency=medium

  * Try hard to find Makefile to run test suite for Python2
    Closes: #915382

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 13:11:32 +0100

python-ruffus (2.8.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * New upstream version
    Closes: 915250
  * Standards-Version: 4.2.1
  * Build-Depends: python-pytest
  * d/rules: Test script needs bash options
  * Fix autopkgtest (enforce bash, set HOME variable)

 -- Andreas Tille <tille@debian.org>  Sun, 02 Dec 2018 16:19:09 +0100

=== debian/control ===
--- 
+++ 
@@ -4,37 +4,18 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-setuptools,
                python3-all,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
+               python3-pytest,
                graphviz
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-ruffus
 Vcs-Git: https://salsa.debian.org/med-team/python-ruffus.git
 Homepage: http://www.ruffus.org.uk/
-
-Package: python-ruffus
-Architecture: all
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends},
-         graphviz
-Suggests: python-drmaa
-Description: Python computation pipeline library widely used in bioinformatics
- Ruffus is designed to allow scientific and other analyses to be automated
- with the minimum of fuss and the least effort.
- .
-  * Lightweight: Suitable for the simplest of tasks
-  * Scalable: Handles even fiendishly complicated pipelines which would cause
-    make or scons to go cross-eyed and recursive.
-  * Standard Python: No "clever magic", no pre-processing.
-  * Unintrusive: Unambitious, lightweight syntax which tries to do this one
-    small thing well.
 
 Package: python3-ruffus
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_NAME=ruffus
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -18,13 +18,28 @@
 override_dh_installdocs:
 	dh_installdocs -ppython-ruffus-doc doc/_build/html
 	dh_installdocs -A
+	find debian -name run_all_unit_tests.cmd -delete
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd ruffus/test && \
-	sh ./run_all_unit_tests.cmd && \
-	sh ./run_all_unit_tests3.cmd && \
-	rm -rf .ruffus_history.sqlite __pycache__ *.pyc
+	dh_auto_test -- --test --system=custom \
+		--test-args='set -e; \
+			    cd {build_dir}/$(PYBUILD_NAME)/test ; \
+			    if [ "{version.major}" = 2 ] ; then \
+			        if [ -e $(CURDIR)/ruffus/test/Makefile ] ; then ln -s $(CURDIR)/ruffus/test/Makefile ; else \
+			            echo "Expected file $(CURDIR)/ruffus/test/Makefile not found" ; \
+			            echo "Use `find $(CURDIR) -name Makefile | grep test` instead" ; \
+			            ln -s `find $(CURDIR) -name Makefile | grep test | head -n1` ; \
+			        fi ; \
+			        cp -a run_all_unit_tests.cmd /tmp/run_all_unit_tests.cmd ; \
+			    else \
+				sed "s/^python3/python{version}/" run_all_unit_tests3.cmd > /tmp/run_all_unit_tests.cmd ; \
+			    fi ;\
+                            PYTHONPATH={build_dir} HOME=`mktemp -d` bash /tmp/run_all_unit_tests.cmd'
+	find . -name .ruffus_history.sqlite -delete
+	find . -name "*.pyc" -delete
+	find . -name __pycache__ | xargs rm -rf
+	find .pybuild -name tmp | xargs rm -rf
 endif
 
 override_dh_auto_clean:
@@ -46,7 +61,7 @@
 	find debian/python3-$(PYBUILD_NAME)/usr/lib/python3*/dist-packages/ruffus/test -name "*.py" -exec sed -i 's+^\(#!/usr/bin/.*python\)[[:space:]]*$$+\13+' \{\} \;
 	# leave only the test starter that fits Python version
 	find debian/python3-$(PYBUILD_NAME) -name run_all_unit_tests.cmd -delete
-	find debian/python-$(PYBUILD_NAME) -name run_all_unit_tests3.cmd -delete
+	sed -i '1s?^#! */usr/bin/env *python *$$?#!/usr/bin/python3?' `grep -Rl '^#! */usr/bin/env *python *$$' debian/python3-$(PYBUILD_NAME)`
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
    https://github.com/bunbun/ruffus/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## python-ruffus 2.8.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         = a4
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

htmlsync:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	rsync -t --delete --recursive _build/html/* mus:/home/lg/public_html/oss/ruffus
	rsync -t --delete --recursive _build/html/* u36264041@www.llewgoodstadt.org.uk:/kunden/homepages/33/d100248119/htdocs/ruffus
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html and copied to the test web directory."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ruffus.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ruffus.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ruffus"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ruffus"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== ruffus/test/Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 all: $(PYTEST_RUN) $(NOTEST_RUN)
 
 %.pytest: %.py
-	pytest $(PYTEST_OPTIONS) $<
+	/usr/bin/time --output=$*.time -v pytest $(PYTEST_OPTIONS) $<
 
 %.run: %.py
-	python $<
+	/usr/bin/time --output=$*.time -v python $<

=== debian/changelog ===
python-ruffus (2.8.4-7) unstable; urgency=medium

  * Remove intersphinx
    Closes: #1090162

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2024 17:34:27 +0100

python-ruffus (2.8.4-6) unstable; urgency=medium

  * Team upload.
  * Add patch to fix syntaxwarnings (Closes: #1086958)
  * Use newer dh-sequence-*, mark B-D with correct build-profiles
    and run wrap-and-sort
  * Add patch to fix regex compilation error message check in
    py3.13 (Closes: #1082265)
  * Use execute_after_* targets instead of overrides in d/rules
  * Bump standards version to 4.7.0 (no changes needed)
  * Correct patch header metadata
  * Add patch to drop distutils usage

 -- Ananthu C V <weepingclown@disroot.org>  Thu, 05 Dec 2024 19:38:27 +0530

python-ruffus (2.8.4-5) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/copyright: remove now superficial Files-Excluded.
  * d/watch: move to git mode after changes in github interface.
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Apply multi-arch hints.
    + python-ruffus-doc: Add Multi-Arch: foreign.

 -- Étienne Mollier <emollier@debian.org>  Sat, 12 Nov 2022 15:52:07 +0100

python-ruffus (2.8.4-4) unstable; urgency=medium

  * Team upload.
  * Add reasonable-multiprocessing.patch: adjust process count to cores
    available and reduce the memory footprint of the build.  (Closes: #841073)
  * d/copyright: bump copyright years and reference file from Rebecca Chodroff.

 -- Étienne Mollier <emollier@debian.org>  Mon, 06 Dec 2021 22:10:12 +0100

python-ruffus (2.8.4-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Adapt to sphinx 4.x API
  * Ignore test test_proxy_logger.py (fails to write on /tmp)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 12:11:47 +0200

python-ruffus (2.8.4-2) unstable; urgency=high

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Set Multi-Arch as foreign (Closes: #978394)

 -- Shayan Doust <hello@shayandoust.me>  Thu, 11 Feb 2021 19:52:08 +0000

python-ruffus (2.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Wed, 10 Jun 2020 01:49:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: python-ruffus
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
+               graphviz,
                python3-all,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-pytest,
-               graphviz
-Standards-Version: 4.4.1
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-ruffus
 Vcs-Git: https://salsa.debian.org/med-team/python-ruffus.git
 Homepage: http://www.ruffus.org.uk/
+Rules-Requires-Root: no
 
 Package: python3-ruffus
 Architecture: all
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends},
-         graphviz
+Multi-Arch: foreign
+Depends: graphviz, ${misc:Depends}, ${python3:Depends}
 Description: Python3 computation pipeline library widely used in bioinformatics
  Ruffus is designed to allow scientific and other analyses to be automated
  with the minimum of fuss and the least effort.
@@ -39,9 +40,8 @@
 Package: python-ruffus-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax
+Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: documentation for python-ruffus computation pipeline library
  Ruffus is designed to allow scientific and other analyses to be automated
  with the minimum of fuss and the least effort.

=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,12 @@
 export PYBUILD_NAME=ruffus
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build-indep:
+ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
 	make --directory=doc html
+endif
 
 override_dh_installdocs:
 	dh_installdocs -ppython-ruffus-doc doc/_build/html
@@ -42,8 +43,7 @@
 	find .pybuild -name tmp | xargs rm -rf
 endif
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf ruffus/test/temp_branching_dir \
 	       ruffus/test/temp_filesre_combine \
 	       ruffus/test/test_pausing_dir \
@@ -54,15 +54,15 @@
 	       doc/_build/doctrees \
 	       ruffus/test/*.log \
 	       .ruffus_history.sqlite
+	rm -f  ruffus.egg-info/PKG-INFO ruffus.egg-info/SOURCES.txt ruffus.egg-info/dependency_links.txt ruffus.egg-info/top_level.txt
 
-override_dh_install:
-	dh_install
+
+execute_after_dh_install:
 	# test files have all #!/usr/bin/python which looks wrong in python3 package
 	find debian/python3-$(PYBUILD_NAME)/usr/lib/python3*/dist-packages/ruffus/test -name "*.py" -exec sed -i 's+^\(#!/usr/bin/.*python\)[[:space:]]*$$+\13+' \{\} \;
 	# leave only the test starter that fits Python version
 	find debian/python3-$(PYBUILD_NAME) -name run_all_unit_tests.cmd -delete
 	sed -i '1s?^#! */usr/bin/env *python *$$?#!/usr/bin/python3?' `grep -Rl '^#! */usr/bin/env *python *$$' debian/python3-$(PYBUILD_NAME)`
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	find debian -name "run_all_unit_tests*.cmd" -executable -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: python3-pytest, @
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto" \
    https://github.com/bunbun/ruffus.git .*/v(\d[\d.-]+)
